Home Information Classes Download Usage Mail List Requirements Links Tutorial

# Plucked Class Reference

STK plucked string model class. More...

`#include <Plucked.h>`

Inheritance diagram for Plucked:

List of all members.

## Public Member Functions

| Plucked (MY_FLOAT lowestFrequency)
| Class constructor, taking the lowest desired playing frequency.
| ~Plucked ()
| Class destructor.
void | clear ()
| Reset and clear all internal state.
virtual void | setFrequency (MY_FLOAT frequency)
| Set instrument parameters for a particular frequency.
void | pluck (MY_FLOAT amplitude)
| Pluck the string with the given amplitude using the current frequency.
virtual void | noteOn (MY_FLOAT frequency, MY_FLOAT amplitude)
| Start a note with the given frequency and amplitude.
virtual void | noteOff (MY_FLOAT amplitude)
| Stop a note with the given amplitude (speed of decay).
virtual MY_FLOAT | tick ()
| Compute one output sample.

## Detailed Description

STK plucked string model class.

This class implements a simple plucked string physical model based on the Karplus-Strong algorithm.

This is a digital waveguide model, making its use possibly subject to patents held by Stanford University, Yamaha, and others. There exist at least two patents, assigned to Stanford, bearing the names of Karplus and/or Strong.

by Perry R. Cook and Gary P. Scavone, 1995 - 2002.

Definition at line 29 of file Plucked.h.

The documentation for this class was generated from the following file:

- Plucked.h

The Synthesis ToolKit in C++ (STK)
©1995-2004 Perry R. Cook and Gary P. Scavone. All Rights Reserved.